-- BASE table creation script (New Jersey version)
--
-- 199 items, 1992 data bytes, 0 reserved bytes
--
-- 020919 SJM Initial version.
--
-- 021118 SJM Removed the iPPN and iACCOUNT_NO indexes so the Microsoft Access
--            PRC will work in linked mode.
--
set truenullcreate=off#
CREATE TABLE BASE in dictionary using 'U020NB01.MKD'
(PPN BINARY(3),
ACCOUNT_NO CHAR(31),
OWNER_NAME_1 CHAR(40),
OWNER_NAME_2 CHAR(40),
OWNER_NAME_3 CHAR(25),
MAILING_ADDRESS_1 CHAR(40),
CITY CHAR(25),
STATE_OR_COUNTRY CHAR(5),
ZIP_CODE CHAR(10),
DEED_BOOK CHAR(8),
DEED_PAGE CHAR(8),
DEED_DATE DOUBLE,
CUR_DEED_DATE DOUBLE,
DEED_TYPE CHAR(4),
CENSUS_TRACT CHAR(10),
LOT_NUMBER SMALLINT,
CLASS CHAR(2),
STATE_CLASS CHAR(3),
ROUTING_NO CHAR(20),
LIVING_UNITS SMALLINT,
DISTRICT_NO SMALLINT,
NEIGHBORHOOD REAL,
SECTION_NO SMALLINT,
A_D CHAR(2),
LAST_UPDATE DOUBLE,
MAP_BLK_LOT CHAR(20),
PROPERTY_LOCATION CHAR(40),
STREET_NUMBER CHAR(5),
STREET_APT_OR_HALF CHAR(3),
STREET_NAME CHAR(30),
SORT_PROPERTY_LOC CHAR(40),
ZONING CHAR(6),
ZONE_MULTI CHAR(1),
ZONE_N_C CHAR(1),
CONDO_UNIT CHAR(5),
STATUS CHAR(2),
PRINT_CHANGE CHAR(2),
SIDE_CARD_NO CHAR(20),
VALUE_FLAG UTINYINT,
MANUAL_OVRD_REASON UTINYINT,
NOTE_TYPE_1 CHAR(2),
NOTE_TYPE_2 CHAR(2),
NOTE_TYPE_3 CHAR(2),
NOTE_TYPE_4 CHAR(2),
NOTE_1 CHAR(30),
NOTE_2 CHAR(30),
NOTE_3 CHAR(30),
NOTE_4 CHAR(30),
REVIEWER_ESTIMATE DOUBLE,
REVIEWER_REASON UTINYINT,
REVIEWER_DATE DOUBLE,
REVIEWER CHAR(3),
VALUE_OVERRIDE DOUBLE,
OVERRIDE_REASON UTINYINT,
OVERRIDE_DATE DOUBLE,
OVERRIDE_EST_BY CHAR(3),
CLASS_CODE_1 CHAR(4),
CLASS_CODE_2 CHAR(4),
CLASS_CODE_3 CHAR(4),
CLASS_CODE_4 CHAR(4),
CLASS_CODE_5 CHAR(4),
CODE_VALUE_1 DOUBLE,
CODE_VALUE_2 DOUBLE,
CODE_VALUE_3 DOUBLE,
CODE_VALUE_4 DOUBLE,
CODE_VALUE_5 DOUBLE,
PARTIAL_FLAG CHAR(2),
PRIOR_STATE_CLASS CHAR(3),
GIS_PLAN_CODE CHAR(40),
PERCENT_RESIDENTIAL UTINYINT,
ENCODER_ID CHAR(3),
ENCODER_DATE DOUBLE,
SUBDIVISION CHAR(35),
DATE_OF_BIRTH DOUBLE,
FAIR_MARKET_VALUE DOUBLE,
LAND_VALUE DOUBLE,
HOUSE_VALUE DOUBLE,
OBY_VALUE DOUBLE,
TOBACCO_VALUE DOUBLE,
AGRICULTURAL_EXEMPT DOUBLE,
HOMESTEAD DOUBLE,
DISABILITY_EXEMPTION DOUBLE,
AG_LAND_VALUE DOUBLE,
PRIOR_AG_LAND_VALUE DOUBLE,
TOTAL_APPRAISED DOUBLE,
TOTAL_ASSESSED DOUBLE,
ADD_DELETE_FLAG CHAR(3),
ADDITION_VALUE DOUBLE,
DELETION_TAXABLE DOUBLE,
DELETION_FMV DOUBLE,
EXEMPTION_1 UTINYINT,
EXEMPTION_2 UTINYINT,
EXEMPTION_3 UTINYINT,
EXEMPTION_VALUE_1 DOUBLE,
EXEMPTION_VALUE_2 DOUBLE,
EXEMPTION_VALUE_3 DOUBLE,
PENALTY_REASON UTINYINT,
PENALTY_TOTAL DOUBLE,
TOTAL_EXEMPT_VALUE DOUBLE,
TOTAL_TAXABLE_VALUE DOUBLE,
PRIOR_LAND_VALUE DOUBLE,
PRIOR_BLDG_VALUE DOUBLE,
PRIOR_TOTAL_VALUE DOUBLE,
CURRENT_LAND_VALUE DOUBLE,
CURRENT_BLDG_VALUE DOUBLE,
CURRENT_TOTAL_VALUE DOUBLE,
COST_LAND_VALUE DOUBLE,
COST_BLDG_VALUE DOUBLE,
COST_TOTAL_VALUE DOUBLE,
MAX_LAND_CARD_NO SMALLINT,
MAX_RBLD_CARD_NO SMALLINT,
MAX_ROBY_CARD_NO SMALLINT,
MAX_CBLD_CARD_NO SMALLINT,
MAX_COBY_CARD_NO SMALLINT,
MAX_PP_CARD_NO SMALLINT,
MAX_SUB_CARD_NO SMALLINT,
LCI CHAR(1),
WORK_FIELD CHAR(5),
COST_FLAG CHAR(15),
NBHD_GROUP SMALLINT,
MONTH_TO_DATE_VALUE SMALLINT,
POOL SMALLINT,
MRA_ESTIMATE DOUBLE,
WEIGHTED_ESTIMATE DOUBLE,
MARKET_ESTIMATE DOUBLE,
ADJUSTED_SALE_PRICE DOUBLE,
INCOME_LAND_VALUE DOUBLE,
INCOME_BLDG_VALUE DOUBLE,
INCOME_TOTAL_VALUE DOUBLE,
FIRE_DISTRICT CHAR(2),
FIRE_DISTRICT_NAME CHAR(20),
TOWNSHIP_NAME CHAR(20),
SOIL_POTENTIAL_INDEX REAL,
ANNUAL_TAX REAL,
LAST_ASSESSMENT_YEAR SMALLINT,
PEN_DOWNLOAD_FLAG CHAR(2),
COLLECTOR_1 CHAR(3),
COLLECTOR_2 CHAR(3),
COLLECTOR_3 CHAR(3),
LISTER_DATE_1 DOUBLE,
LISTER_DATE_2 DOUBLE,
LISTER_DATE_3 DOUBLE,
LISTER_TIME_1 CHAR(5),
LISTER_TIME_2 CHAR(5),
LISTER_TIME_3 CHAR(5),
LISTER_ACTIVITY_1 CHAR(2),
LISTER_ACTIVITY_2 CHAR(2),
LISTER_ACTIVITY_3 CHAR(2),
LISTER_ENTRY_1 UTINYINT,
LISTER_ENTRY_2 UTINYINT,
LISTER_ENTRY_3 UTINYINT,
LISTER_SOURCE_1 UTINYINT,
LISTER_SOURCE_2 UTINYINT,
LISTER_SOURCE_3 UTINYINT,
TOTAL_ACRES REAL,
MAILING_ADDRESS_2 CHAR(40),
ADDITIONAL_LOTS CHAR(20),
CONTRACT_NAME_1 CHAR(40),
CONTRACT_NAME_2 CHAR(40),
CONTRACT_NAME_3 CHAR(25),
CONTRACT_ADDRESS_1 CHAR(40),
CONTRACT_ADDRESS_2 CHAR(40),
CONTRACT_CITY CHAR(25),
CONTRACT_STATE CHAR(5),
CONTRACT_ZIP_CODE CHAR(10),
CUR_DEED_BOOK CHAR(8),
CUR_DEED_PAGE CHAR(8),
PRIOR_TOT_ASSESSMENT DOUBLE,
UNITS_1 REAL,
UNITS_2 REAL,
UNITS_3 REAL,
UNITS_4 REAL,
UNITS_5 REAL,
MARKET_LAND_VALUE DOUBLE,
MARKET_BLDG_VALUE DOUBLE,
PRIOR_CLASS CHAR(2),
PPN_2 INTEGER,
ADD_DEL_2 CHAR(3),
ADD_DEL_3 CHAR(3),
ADD_DEL_VALUE DOUBLE,
TAM_1_2_3 CHAR(24),
TAM_4_5_6 CHAR(24),
TAM_7_8_9 CHAR(24),
TAM_10_11_12 CHAR(24),
TAM_13_14_15 CHAR(24),
TAU_1_2_3 CHAR(24),
TAU_4_5_6 CHAR(24),
TAU_7_8_9 CHAR(24),
TAU_10_11_12 CHAR(24),
TAU_13_14_15 CHAR(24),
TOTAL_MARKET_ACRES REAL,
TOTAL_USE_ACRES REAL,
USE_ONLY_ACRES REAL,
LAND_TOTAL_MARKET DOUBLE,
LAND_TOTAL_USE DOUBLE,
LAND_CUR_USE_ONLY DOUBLE,
TAC_USE_ONLY_1_2_3 CHAR(24),
TAC_USE_ONLY_4_5_6 CHAR(24),
TAC_USE_ONLY_7_8_9 CHAR(24))#
-- CREATE UNIQUE NOT MODIFIABLE INDEX iPPN in dictionary ON BASE(PPN)#
-- CREATE UNIQUE INDEX iACCOUNT_NO in dictionary ON BASE(ACCOUNT_NO)#
CREATE INDEX iOWNER_NAME_1 in dictionary ON BASE(OWNER_NAME_1)#
CREATE INDEX iROUTING_NO in dictionary ON BASE(ROUTING_NO)#
CREATE INDEX iMAP_BLK_LOT in dictionary ON BASE(MAP_BLK_LOT)#
CREATE INDEX iSORT_PROPERTY_LOC in dictionary ON BASE(SORT_PROPERTY_LOC)#
CREATE INDEX iSIDE_CARD_NO in dictionary ON BASE(SIDE_CARD_NO)#
CREATE INDEX iGIS_PLAN_CODE in dictionary ON BASE(GIS_PLAN_CODE)#
