-- CBLD table creation script (standard version)
--
-- 248 items, 594 data bytes, 0 reserved bytes
--
-- 020919 SJM Initial version.
--
-- 021118 SJM Removed the iSET_PPN_NBR_TYP5 index so the Microsoft Access PRC
--            will work in linked mode.
--
set truenullcreate=off#
CREATE TABLE CBLD in dictionary using 'U020NB05.MKD'
(SET_PPN_NBR_TYP5 BINARY(6),
BUILDING_NO UTINYINT,
YEAR_BUILT SMALLINT,
NUMBER_OF_UNITS SMALLINT,
STRUCTURE_TYPE SMALLINT,
GRADE CHAR(2),
IDENT_UNITS UTINYINT,
EFFICIENCIES SMALLINT,
BEDROOM_1 SMALLINT,
BEDROOM_2 SMALLINT,
BEDROOM_3 SMALLINT,
COVERED_PARKING SMALLINT,
UNCOVERED_PARKING SMALLINT,
SECTION_1 UTINYINT,
SECTION_2 UTINYINT,
SECTION_3 UTINYINT,
SECTION_4 UTINYINT,
SECTION_5 UTINYINT,
SECTION_6 UTINYINT,
SECTION_7 UTINYINT,
SECTION_8 UTINYINT,
FROM_LEVEL_1 CHAR(2),
FROM_LEVEL_2 CHAR(2),
FROM_LEVEL_3 CHAR(2),
FROM_LEVEL_4 CHAR(2),
FROM_LEVEL_5 CHAR(2),
FROM_LEVEL_6 CHAR(2),
FROM_LEVEL_7 CHAR(2),
FROM_LEVEL_8 CHAR(2),
TO_LEVEL_1 CHAR(2),
TO_LEVEL_2 CHAR(2),
TO_LEVEL_3 CHAR(2),
TO_LEVEL_4 CHAR(2),
TO_LEVEL_5 CHAR(2),
TO_LEVEL_6 CHAR(2),
TO_LEVEL_7 CHAR(2),
TO_LEVEL_8 CHAR(2),
WIDTH_1 SMALLINT,
WIDTH_2 SMALLINT,
WIDTH_3 SMALLINT,
WIDTH_4 SMALLINT,
WIDTH_5 SMALLINT,
WIDTH_6 SMALLINT,
WIDTH_7 SMALLINT,
WIDTH_8 SMALLINT,
LENGTH_1 REAL,
LENGTH_2 REAL,
LENGTH_3 REAL,
LENGTH_4 REAL,
LENGTH_5 REAL,
LENGTH_6 REAL,
LENGTH_7 REAL,
LENGTH_8 REAL,
PERIMETER_1 SMALLINT,
PERIMETER_2 SMALLINT,
PERIMETER_3 SMALLINT,
PERIMETER_4 SMALLINT,
PERIMETER_5 SMALLINT,
PERIMETER_6 SMALLINT,
PERIMETER_7 SMALLINT,
PERIMETER_8 SMALLINT,
USE_TYPE_1 SMALLINT,
USE_TYPE_2 SMALLINT,
USE_TYPE_3 SMALLINT,
USE_TYPE_4 SMALLINT,
USE_TYPE_5 SMALLINT,
USE_TYPE_6 SMALLINT,
USE_TYPE_7 SMALLINT,
USE_TYPE_8 SMALLINT,
WALL_HEIGHT_1 UTINYINT,
WALL_HEIGHT_2 UTINYINT,
WALL_HEIGHT_3 UTINYINT,
WALL_HEIGHT_4 UTINYINT,
WALL_HEIGHT_5 UTINYINT,
WALL_HEIGHT_6 UTINYINT,
WALL_HEIGHT_7 UTINYINT,
WALL_HEIGHT_8 UTINYINT,
EXTERIOR_WALL_1 UTINYINT,
EXTERIOR_WALL_2 UTINYINT,
EXTERIOR_WALL_3 UTINYINT,
EXTERIOR_WALL_4 UTINYINT,
EXTERIOR_WALL_5 UTINYINT,
EXTERIOR_WALL_6 UTINYINT,
EXTERIOR_WALL_7 UTINYINT,
EXTERIOR_WALL_8 UTINYINT,
CONSTRUCTION_TYPE_1 UTINYINT,
CONSTRUCTION_TYPE_2 UTINYINT,
CONSTRUCTION_TYPE_3 UTINYINT,
CONSTRUCTION_TYPE_4 UTINYINT,
CONSTRUCTION_TYPE_5 UTINYINT,
CONSTRUCTION_TYPE_6 UTINYINT,
CONSTRUCTION_TYPE_7 UTINYINT,
CONSTRUCTION_TYPE_8 UTINYINT,
INTERIOR_FINISH_1 UTINYINT,
INTERIOR_FINISH_2 UTINYINT,
INTERIOR_FINISH_3 UTINYINT,
INTERIOR_FINISH_4 UTINYINT,
INTERIOR_FINISH_5 UTINYINT,
INTERIOR_FINISH_6 UTINYINT,
INTERIOR_FINISH_7 UTINYINT,
INTERIOR_FINISH_8 UTINYINT,
PARTITION_1 UTINYINT,
PARTITION_2 UTINYINT,
PARTITION_3 UTINYINT,
PARTITION_4 UTINYINT,
PARTITION_5 UTINYINT,
PARTITION_6 UTINYINT,
PARTITION_7 UTINYINT,
PARTITION_8 UTINYINT,
HEATING_1 UTINYINT,
HEATING_2 UTINYINT,
HEATING_3 UTINYINT,
HEATING_4 UTINYINT,
HEATING_5 UTINYINT,
HEATING_6 UTINYINT,
HEATING_7 UTINYINT,
HEATING_8 UTINYINT,
AIR_CONDITIONING_1 UTINYINT,
AIR_CONDITIONING_2 UTINYINT,
AIR_CONDITIONING_3 UTINYINT,
AIR_CONDITIONING_4 UTINYINT,
AIR_CONDITIONING_5 UTINYINT,
AIR_CONDITIONING_6 UTINYINT,
AIR_CONDITIONING_7 UTINYINT,
AIR_CONDITIONING_8 UTINYINT,
PLUMBING_1 UTINYINT,
PLUMBING_2 UTINYINT,
PLUMBING_3 UTINYINT,
PLUMBING_4 UTINYINT,
PLUMBING_5 UTINYINT,
PLUMBING_6 UTINYINT,
PLUMBING_7 UTINYINT,
PLUMBING_8 UTINYINT,
PHYSICAL_CONDITION_1 UTINYINT,
PHYSICAL_CONDITION_2 UTINYINT,
PHYSICAL_CONDITION_3 UTINYINT,
PHYSICAL_CONDITION_4 UTINYINT,
PHYSICAL_CONDITION_5 UTINYINT,
PHYSICAL_CONDITION_6 UTINYINT,
PHYSICAL_CONDITION_7 UTINYINT,
PHYSICAL_CONDITION_8 UTINYINT,
FUNCTIONAL_UTILITY_1 UTINYINT,
FUNCTIONAL_UTILITY_2 UTINYINT,
FUNCTIONAL_UTILITY_3 UTINYINT,
FUNCTIONAL_UTILITY_4 UTINYINT,
FUNCTIONAL_UTILITY_5 UTINYINT,
FUNCTIONAL_UTILITY_6 UTINYINT,
FUNCTIONAL_UTILITY_7 UTINYINT,
FUNCTIONAL_UTILITY_8 UTINYINT,
UNADJUSTED_RCN_1 DOUBLE,
UNADJUSTED_RCN_2 DOUBLE,
UNADJUSTED_RCN_3 DOUBLE,
UNADJUSTED_RCN_4 DOUBLE,
UNADJUSTED_RCN_5 DOUBLE,
UNADJUSTED_RCN_6 DOUBLE,
UNADJUSTED_RCN_7 DOUBLE,
UNADJUSTED_RCN_8 DOUBLE,
PERCENT_GOOD_1 UTINYINT,
PERCENT_GOOD_2 UTINYINT,
PERCENT_GOOD_3 UTINYINT,
PERCENT_GOOD_4 UTINYINT,
PERCENT_GOOD_5 UTINYINT,
PERCENT_GOOD_6 UTINYINT,
PERCENT_GOOD_7 UTINYINT,
PERCENT_GOOD_8 UTINYINT,
UNADJUSTED_RCNLD_1 DOUBLE,
UNADJUSTED_RCNLD_2 DOUBLE,
UNADJUSTED_RCNLD_3 DOUBLE,
UNADJUSTED_RCNLD_4 DOUBLE,
UNADJUSTED_RCNLD_5 DOUBLE,
UNADJUSTED_RCNLD_6 DOUBLE,
UNADJUSTED_RCNLD_7 DOUBLE,
UNADJUSTED_RCNLD_8 DOUBLE,
TOTAL_UNADJ_RCNLD DOUBLE,
LOCAL_MODIFIER REAL,
GRADE_FACTOR REAL,
RCNLD DOUBLE,
AVERAGE_PCT_GOOD REAL,
TOTAL_UNADJ_RCN DOUBLE,
LINE_1 UTINYINT,
LINE_2 UTINYINT,
LINE_3 UTINYINT,
LINE_4 UTINYINT,
LINE_5 UTINYINT,
LINE_6 UTINYINT,
LINE_7 UTINYINT,
LINE_8 UTINYINT,
BOF_STRUCTURE_CODE_1 CHAR(3),
BOF_STRUCTURE_CODE_2 CHAR(3),
BOF_STRUCTURE_CODE_3 CHAR(3),
BOF_STRUCTURE_CODE_4 CHAR(3),
BOF_STRUCTURE_CODE_5 CHAR(3),
BOF_STRUCTURE_CODE_6 CHAR(3),
BOF_STRUCTURE_CODE_7 CHAR(3),
BOF_STRUCTURE_CODE_8 CHAR(3),
FLAT_PLUS_MINUS_1 CHAR(1),
FLAT_PLUS_MINUS_2 CHAR(1),
FLAT_PLUS_MINUS_3 CHAR(1),
FLAT_PLUS_MINUS_4 CHAR(1),
FLAT_PLUS_MINUS_5 CHAR(1),
FLAT_PLUS_MINUS_6 CHAR(1),
FLAT_PLUS_MINUS_7 CHAR(1),
FLAT_PLUS_MINUS_8 CHAR(1),
MEASUREMENT_1_1 REAL,
MEASUREMENT_1_2 REAL,
MEASUREMENT_1_3 REAL,
MEASUREMENT_1_4 REAL,
MEASUREMENT_1_5 REAL,
MEASUREMENT_1_6 REAL,
MEASUREMENT_1_7 REAL,
MEASUREMENT_1_8 REAL,
MEASUREMENT_2A_1 UTINYINT,
MEASUREMENT_2A_2 UTINYINT,
MEASUREMENT_2A_3 UTINYINT,
MEASUREMENT_2A_4 UTINYINT,
MEASUREMENT_2A_5 UTINYINT,
MEASUREMENT_2A_6 UTINYINT,
MEASUREMENT_2A_7 UTINYINT,
MEASUREMENT_2A_8 UTINYINT,
MEASUREMENT_2B_1 SMALLINT,
MEASUREMENT_2B_2 SMALLINT,
MEASUREMENT_2B_3 SMALLINT,
MEASUREMENT_2B_4 SMALLINT,
MEASUREMENT_2B_5 SMALLINT,
MEASUREMENT_2B_6 SMALLINT,
MEASUREMENT_2B_7 SMALLINT,
MEASUREMENT_2B_8 SMALLINT,
IDENTICAL_UNITS_1 UTINYINT,
IDENTICAL_UNITS_2 UTINYINT,
IDENTICAL_UNITS_3 UTINYINT,
IDENTICAL_UNITS_4 UTINYINT,
IDENTICAL_UNITS_5 UTINYINT,
IDENTICAL_UNITS_6 UTINYINT,
IDENTICAL_UNITS_7 UTINYINT,
IDENTICAL_UNITS_8 UTINYINT,
TOTAL_OTHER_FEATURES DOUBLE,
NOTE_TYPE_5 CHAR(2),
NOTE_TYPE_6 CHAR(2),
NOTE_5 CHAR(30),
NOTE_6 CHAR(30),
CAP_RATE_OVERRIDE UTINYINT,
EXPENSE_OVERRIDE UTINYINT,
INCOME_OVERRIDE SMALLINT,
OCCUPANCY_OVERRIDE SMALLINT,
EFFECTIVE_AGE_OVRD SMALLINT,
ECONOMIC_COND_FACTOR REAL,
PPN_2 INTEGER,
SERIES_CARD SMALLINT)#
-- CREATE UNIQUE NOT MODIFIABLE INDEX iSET_PPN_NBR_TYP5 in dictionary ON CBLD(SET_PPN_NBR_TYP5)#
CREATE INDEX iPPN_2 in dictionary ON CBLD(PPN_2)#
CREATE INDEX iSERIES_CARD in dictionary ON CBLD(SERIES_CARD)#
