-- RBLD table creation script (New Jersey version)
--
-- 197 items, 1458 data bytes, 0 reserved bytes
--
-- 021113 SJM Initial version.
--
-- 021118 SJM Removed the iSET_PPN_NBR_TYP3 index so the Microsoft Access PRC
--            will work in linked mode.
--
set truenullcreate=off#
CREATE TABLE RBLD in dictionary using 'U020NB03.MKD'
(SET_PPN_NBR_TYP3 BINARY(6),
VACANT_DWELL_OBY UTINYINT,
STYLE UTINYINT,
DWELLING_CLASS UTINYINT,
STRUCTURE UTINYINT,
STORY_HEIGHT REAL,
ATTIC UTINYINT,
FOUNDATION UTINYINT,
YEAR_BUILT SMALLINT,
EFFECTIVE_YEAR_BUILT SMALLINT,
ROOF_TYPE UTINYINT,
ROOF_MATERIAL UTINYINT,
HEAT_SOURCE UTINYINT,
HEATING_SYSTEM UTINYINT,
ATTIC_SIZE SMALLINT,
DORMER_SIZE UTINYINT,
BASEMENT_AREA SMALLINT,
SLAB_AREA SMALLINT,
FLOORS UTINYINT,
FIN_BASEMENT_LQ SMALLINT,
BASEMENT_TOTAL SMALLINT,
UNFIN_STORY_AREA SMALLINT,
UNF_HALF_STORY_AREA SMALLINT,
BEDROOMS_TOTAL UTINYINT,
FAMILY_ROOMS UTINYINT,
MARKET_ADJUSTMENT REAL,
YEAR_REMODELED SMALLINT,
FIRST_FLOOR_WALL_TYP UTINYINT,
UPPR_FLOOR_WALL_TYPE UTINYINT,
HALF_FLOOR_WALL_TYPE UTINYINT,
FIREPLACE_1_ST UTINYINT,
FIREPLACE_1_1HALF_ST UTINYINT,
FIREPLACE_2_ST UTINYINT,
FP_FREE_STANDING UTINYINT,
FP_ADDNL_OPENINGS UTINYINT,
FP_UNUSABLE UTINYINT,
OTHER UTINYINT,
DISPOSAL UTINYINT,
CENTRAL_VACUUM UTINYINT,
DISHWASHER UTINYINT,
ADDITIONAL_FIXTURES UTINYINT,
PLUMBING_2_FIXTURES UTINYINT,
PLUMBING_3_FIXTURES UTINYINT,
PLUMBING_4_FIXTURES UTINYINT,
TOTAL_FIXTURES UTINYINT,
COOLING_AREA SMALLINT,
COOLING_TYPE UTINYINT,
BASEMENT_GARAGE_AREA SMALLINT,
BSMNT_GARAGE_NO_CARS REAL,
CONDO_FLOOR_LEVEL UTINYINT,
LOCAL_MODIFIER REAL,
PART_BRICK_AREA REAL,
PART_STONE_AREA REAL,
REC_ROOM_AREA REAL,
FINISH_BASEMENT_AREA REAL,
FBLA_VALUE REAL,
FBLA_LQ_VALUE REAL,
BASEMENT_VALUE REAL,
FIRST_FLR_VALUE REAL,
SECOND_FLR_VALUE REAL,
THIRD_FLR_VALUE REAL,
FOURTH_FLR_VALUE REAL,
UNFINISHED_AREA REAL,
GROUND_FLOOR_AREA REAL,
UPPER_STORY_VALUE REAL,
HALF_STORY_VALUE REAL,
CDU_COND_DEPR_UTIL CHAR(2),
ROW_TOWNHOUSE_VALUE REAL,
BASE_PRICE DOUBLE,
FINAL_NET_CONDITION REAL,
TRUE_VALUE DOUBLE,
TOTAL_ROOMS UTINYINT,
VECTOR_1 CHAR(50),
VECTOR_2 CHAR(50),
VECTOR_3 CHAR(50),
VECTOR_4 CHAR(50),
VECTOR_5 CHAR(50),
VECTOR_6 CHAR(50),
VECTOR_7 CHAR(50),
VECTOR_8 CHAR(50),
VECTOR_9 CHAR(50),
VECTOR_10 CHAR(50),
VECTOR_11 CHAR(50),
VECTOR_12 CHAR(50),
VECTOR_13 CHAR(50),
VECTOR_14 CHAR(50),
VECTOR_15 CHAR(50),
ADDITION_1 CHAR(17),
ADDITION_2 CHAR(17),
ADDITION_3 CHAR(17),
ADDITION_4 CHAR(17),
ADDITION_5 CHAR(17),
ADDITION_6 CHAR(17),
ADDITION_7 CHAR(17),
ADDITION_8 CHAR(17),
ADDITION_9 CHAR(17),
ADDITION_10 CHAR(17),
ADDITION_11 CHAR(17),
ADDITION_12 CHAR(17),
ADDITION_13 CHAR(17),
ADDITION_14 CHAR(17),
ADDITION_15 CHAR(17),
MISC_VALUE SMALLINT,
UNFINISHED_BASEMENT SMALLINT,
FRAME_LOWER SMALLINT,
FRAME_UPPER SMALLINT,
MASONRY_LOWER SMALLINT,
MASONRY_UPPER SMALLINT,
OFP_LOWER SMALLINT,
OFP_UPPER SMALLINT,
OMP_LOWER SMALLINT,
OMP_UPPER SMALLINT,
EFP_LOWER SMALLINT,
EFP_UPPER SMALLINT,
EMP_LOWER SMALLINT,
EMP_UPPER SMALLINT,
FRAME_UTILITY_BLDG SMALLINT,
MASONRY_UTILITY_BLDG SMALLINT,
FR_BAY_OVHG_LOWER SMALLINT,
FR_BAY_OVHG_UPPER SMALLINT,
MS_BAY_OVHG_LOWER SMALLINT,
MS_BAY_OVHG_UPPER SMALLINT,
OPEN_CARPORT SMALLINT,
CONCRETE_BRICK_PORCH SMALLINT,
WOOD_DECK_LOWER SMALLINT,
WOOD_DECK_UPPER SMALLINT,
FGST_TILE_PATIO SMALLINT,
CANOPY SMALLINT,
MS_STOOP_TERRACE SMALLINT,
HALF_STORY_FRAME SMALLINT,
HALF_STORY_MASONRY SMALLINT,
UNFINISHED_ATTIC SMALLINT,
FINISHED_ATTIC SMALLINT,
ATT_GREENHOUSE_LOWER SMALLINT,
ATT_GREENHOUSE_UPPER SMALLINT,
ATT_FRAME_GARAGE SMALLINT,
ATT_MASONRY_GARAGE SMALLINT,
TOTAL_LIVING_AREA SMALLINT,
GRADE_FACTOR REAL,
CDU_FACTOR REAL,
AGE SMALLINT,
SUBTOTAL_VALUE REAL,
TOTAL_FP_STACKS UTINYINT,
ADDITIONS_VALUE REAL,
UNF_FULL_STY_VALUE REAL,
UNF_HALF_STY_VALUE REAL,
PART_BRICK_VALUE REAL,
PART_STONE_VALUE REAL,
SLAB_FLOOR_VALUE REAL,
HEATING_VALUE REAL,
COOLING_VALUE REAL,
PLUMBING_VALUE REAL,
BUILT_IN_VALUE REAL,
FIREPLACE_VALUE REAL,
FINISH_ATTIC_VALUE REAL,
PCT_GOOD_OVRD_FLAG UTINYINT,
BASEMENT_GAR_VALUE REAL,
DET_GARAGE_SQFT REAL,
ADDITION_POINTS_1 SMALLINT,
ADDITION_POINTS_2 SMALLINT,
ADDITION_POINTS_3 SMALLINT,
ADDITION_POINTS_4 SMALLINT,
ADDITION_POINTS_5 SMALLINT,
ADDITION_POINTS_6 SMALLINT,
ADDITION_POINTS_7 SMALLINT,
ADDITION_POINTS_8 SMALLINT,
ADDITION_POINTS_9 SMALLINT,
ADDITION_POINTS_10 SMALLINT,
ADDITION_POINTS_11 SMALLINT,
ADDITION_POINTS_12 SMALLINT,
ADDITION_POINTS_13 SMALLINT,
ADDITION_POINTS_14 SMALLINT,
ADDITION_POINTS_15 SMALLINT,
NOTE_TYPE_5 CHAR(2),
NOTE_TYPE_6 CHAR(2),
NOTE_5 CHAR(30),
NOTE_6 CHAR(30),
TRUE_GFLA REAL,
TRUE_TLA REAL,
SQRT_AGE REAL,
BASE_VALUE REAL,
OFP_WD_SF SMALLINT,
TOT_FP_OPEN UTINYINT,
ENCL_PORCH SMALLINT,
TOT_WOOD_DECKS SMALLINT,
TOT_ATTACH_GARAGES SMALLINT,
PPN_2 INTEGER,
SERIES_CARD SMALLINT,
SPECIAL_FEATURE_2 UTINYINT,
SPECIAL_FEATURE_3 UTINYINT,
SPECIAL_FEATURE_4 UTINYINT,
KIT_BATH_FACTOR REAL,
SPECIAL_FEATURE_5 UTINYINT,
SPECIAL_FEATURE_6 UTINYINT,
REC_ROOM_RATING CHAR(2),
FBLA_ROOM_RATING CHAR(2),
GRADE_2 CHAR(4))#
-- CREATE UNIQUE NOT MODIFIABLE INDEX iSET_PPN_NBR_TYP3 in dictionary ON RBLD(SET_PPN_NBR_TYP3)#
CREATE INDEX iPPN_2 in dictionary ON RBLD(PPN_2)#
CREATE INDEX iSERIES_CARD in dictionary ON RBLD(SERIES_CARD)#
