-- COBY table creation script (standard version)
--
-- 133 items, 1589 data bytes, 0 reserved bytes
--
-- 020919 SJM Initial version.
--
-- 021118 SJM Removed the iSET_PPN_NBR_TYP6 index so the Microsoft Access PRC
--            will work in linked mode.
--
-- 070913 SJM Put all indexes back in for use with PSQL v9.52
--
set truenullcreate=off#
CREATE TABLE COBY in dictionary using 'U020NB06.MKD'
(SET_PPN_NBR_TYP6 BINARY(6),
STRUCTURE_CODE_1 CHAR(3),
STRUCTURE_CODE_2 CHAR(3),
STRUCTURE_CODE_3 CHAR(3),
STRUCTURE_CODE_4 CHAR(3),
STRUCTURE_CODE_5 CHAR(3),
STRUCTURE_CODE_6 CHAR(3),
FLAT_PLUS_MINUS_1 CHAR(1),
FLAT_PLUS_MINUS_2 CHAR(1),
FLAT_PLUS_MINUS_3 CHAR(1),
FLAT_PLUS_MINUS_4 CHAR(1),
FLAT_PLUS_MINUS_5 CHAR(1),
FLAT_PLUS_MINUS_6 CHAR(1),
WIDTH_1 SMALLINT,
WIDTH_2 SMALLINT,
WIDTH_3 SMALLINT,
WIDTH_4 SMALLINT,
WIDTH_5 SMALLINT,
WIDTH_6 SMALLINT,
LENGTH_1 REAL,
LENGTH_2 REAL,
LENGTH_3 REAL,
LENGTH_4 REAL,
LENGTH_5 REAL,
LENGTH_6 REAL,
IDENTICAL_UNITS_1 SMALLINT,
IDENTICAL_UNITS_2 SMALLINT,
IDENTICAL_UNITS_3 SMALLINT,
IDENTICAL_UNITS_4 SMALLINT,
IDENTICAL_UNITS_5 SMALLINT,
IDENTICAL_UNITS_6 SMALLINT,
PHYSICAL_CONDITION_1 UTINYINT,
PHYSICAL_CONDITION_2 UTINYINT,
PHYSICAL_CONDITION_3 UTINYINT,
PHYSICAL_CONDITION_4 UTINYINT,
PHYSICAL_CONDITION_5 UTINYINT,
PHYSICAL_CONDITION_6 UTINYINT,
FUNCTIONAL_UTILITY_1 UTINYINT,
FUNCTIONAL_UTILITY_2 UTINYINT,
FUNCTIONAL_UTILITY_3 UTINYINT,
FUNCTIONAL_UTILITY_4 UTINYINT,
FUNCTIONAL_UTILITY_5 UTINYINT,
FUNCTIONAL_UTILITY_6 UTINYINT,
YEAR_BUILT_1 SMALLINT,
YEAR_BUILT_2 SMALLINT,
YEAR_BUILT_3 SMALLINT,
YEAR_BUILT_4 SMALLINT,
YEAR_BUILT_5 SMALLINT,
YEAR_BUILT_6 SMALLINT,
PERCENT_GOOD_1 REAL,
PERCENT_GOOD_2 REAL,
PERCENT_GOOD_3 REAL,
PERCENT_GOOD_4 REAL,
PERCENT_GOOD_5 REAL,
PERCENT_GOOD_6 REAL,
RCNLD_1 DOUBLE,
RCNLD_2 DOUBLE,
RCNLD_3 DOUBLE,
RCNLD_4 DOUBLE,
RCNLD_5 DOUBLE,
RCNLD_6 DOUBLE,
TOTAL_RCNLD DOUBLE,
GROSS_BLDG_DESCRIP CHAR(30),
PLUS_MINUS CHAR(1),
TOTAL_VALUE DOUBLE,
ADDITION_DESCRIP_1 CHAR(10),
ADDITION_DESCRIP_2 CHAR(10),
ADDITION_DESCRIP_3 CHAR(10),
ADDITION_DESCRIP_4 CHAR(10),
ADDITION_DESCRIP_5 CHAR(10),
ADDITION_DESCRIP_6 CHAR(10),
ADDITION_DESCRIP_7 CHAR(10),
ADDITION_DESCRIP_8 CHAR(10),
ADDITION_DESCRIP_9 CHAR(10),
ADDITION_DESCRIP_10 CHAR(10),
ADDITION_DESCRIP_11 CHAR(10),
ADDITION_DESCRIP_12 CHAR(10),
ADDITION_DESCRIP_13 CHAR(10),
ADDITION_DESCRIP_14 CHAR(10),
ADDITION_DESCRIP_15 CHAR(10),
ADDITION_CODE_1 CHAR(22),
ADDITION_CODE_2 CHAR(22),
ADDITION_CODE_3 CHAR(22),
ADDITION_CODE_4 CHAR(22),
ADDITION_CODE_5 CHAR(22),
ADDITION_CODE_6 CHAR(22),
ADDITION_CODE_7 CHAR(22),
ADDITION_CODE_8 CHAR(22),
ADDITION_CODE_9 CHAR(22),
ADDITION_CODE_10 CHAR(22),
ADDITION_CODE_11 CHAR(22),
ADDITION_CODE_12 CHAR(22),
ADDITION_CODE_13 CHAR(22),
ADDITION_CODE_14 CHAR(22),
ADDITION_CODE_15 CHAR(22),
VECTOR_1 CHAR(50),
VECTOR_2 CHAR(50),
VECTOR_3 CHAR(50),
VECTOR_4 CHAR(50),
VECTOR_5 CHAR(50),
VECTOR_6 CHAR(50),
VECTOR_7 CHAR(50),
VECTOR_8 CHAR(50),
VECTOR_9 CHAR(50),
VECTOR_10 CHAR(50),
VECTOR_11 CHAR(50),
VECTOR_12 CHAR(50),
VECTOR_13 CHAR(50),
VECTOR_14 CHAR(50),
VECTOR_15 CHAR(50),
GRADE_1 CHAR(2),
GRADE_2 CHAR(2),
GRADE_3 CHAR(2),
GRADE_4 CHAR(2),
GRADE_5 CHAR(2),
GRADE_6 CHAR(2),
SKETCH_AREA_1 DOUBLE,
SKETCH_AREA_2 DOUBLE,
SKETCH_AREA_3 DOUBLE,
SKETCH_AREA_4 DOUBLE,
SKETCH_AREA_5 DOUBLE,
SKETCH_AREA_6 DOUBLE,
SKETCH_AREA_7 DOUBLE,
SKETCH_AREA_8 DOUBLE,
SKETCH_AREA_9 DOUBLE,
SKETCH_AREA_10 DOUBLE,
SKETCH_AREA_11 DOUBLE,
SKETCH_AREA_12 DOUBLE,
SKETCH_AREA_13 DOUBLE,
SKETCH_AREA_14 DOUBLE,
SKETCH_AREA_15 DOUBLE,
PPN_2 INTEGER,
SERIES_CARD SMALLINT)#
CREATE UNIQUE NOT MODIFIABLE INDEX iSET_PPN_NBR_TYP6 in dictionary ON COBY(SET_PPN_NBR_TYP6)#
CREATE INDEX iPPN_2 in dictionary ON COBY(PPN_2)#
CREATE INDEX iSERIES_CARD in dictionary ON COBY(SERIES_CARD)#
