-- LAND table creation script (standard version)
--
-- 252 items, 739 data bytes, 0 reserved bytes
--
-- 020919 SJM Initial version.
--
-- 021118 SJM Removed the iSET_PPN_NBR_TYP2 index so the Microsoft Access PRC
--            will work in linked mode.
--
-- 070913 SJM Put all indexes back in for use with PSQL v9.52
--
set truenullcreate=off#
CREATE TABLE LAND in dictionary using 'U020NB02.MKD'
(SET_PPN_NBR_TYP2 BINARY(6),
NONE CHAR(1),
SQFT_GRADE_1 UTINYINT,
SQFT_GRADE_2 UTINYINT,
SQFT_GRADE_3 UTINYINT,
ACRE_GRADE_1 UTINYINT,
ACRE_GRADE_2 UTINYINT,
ACRE_GRADE_3 UTINYINT,
ACRE_GRADE_4 UTINYINT,
ACRE_GRADE_5 UTINYINT,
ACRE_GRADE_6 UTINYINT,
SQFT_TYPE_1 UTINYINT,
SQFT_TYPE_2 UTINYINT,
SQFT_TYPE_3 UTINYINT,
SQUARE_FEET_1 REAL,
SQUARE_FEET_2 REAL,
SQUARE_FEET_3 REAL,
SQFT_UNIT_PRICE_1 REAL,
SQFT_UNIT_PRICE_2 REAL,
SQFT_UNIT_PRICE_3 REAL,
SQFT_INFL_FAC_1_1 UTINYINT,
SQFT_INFL_FAC_1_2 UTINYINT,
SQFT_INFL_FAC_1_3 UTINYINT,
SQFT_INFL_FAC_2_1 UTINYINT,
SQFT_INFL_FAC_2_2 UTINYINT,
SQFT_INFL_FAC_2_3 UTINYINT,
SQFT_INFL_PCT_1 SMALLINT,
SQFT_INFL_PCT_2 SMALLINT,
SQFT_INFL_PCT_3 SMALLINT,
SQFT_LAND_VALUE_1 DOUBLE,
SQFT_LAND_VALUE_2 DOUBLE,
SQFT_LAND_VALUE_3 DOUBLE,
ACRE_TYPE_1 UTINYINT,
ACRE_TYPE_2 UTINYINT,
ACRE_TYPE_3 UTINYINT,
ACRE_TYPE_4 UTINYINT,
ACRE_TYPE_5 UTINYINT,
ACRE_TYPE_6 UTINYINT,
ACRES_1 REAL,
ACRES_2 REAL,
ACRES_3 REAL,
ACRES_4 REAL,
ACRES_5 REAL,
ACRES_6 REAL,
ACRE_UNIT_PRICE_1 REAL,
ACRE_UNIT_PRICE_2 REAL,
ACRE_UNIT_PRICE_3 REAL,
ACRE_UNIT_PRICE_4 REAL,
ACRE_UNIT_PRICE_5 REAL,
ACRE_UNIT_PRICE_6 REAL,
ACRE_INFL_FAC_1_1 UTINYINT,
ACRE_INFL_FAC_1_2 UTINYINT,
ACRE_INFL_FAC_1_3 UTINYINT,
ACRE_INFL_FAC_1_4 UTINYINT,
ACRE_INFL_FAC_1_5 UTINYINT,
ACRE_INFL_FAC_1_6 UTINYINT,
ACRE_INFL_FAC_2_1 UTINYINT,
ACRE_INFL_FAC_2_2 UTINYINT,
ACRE_INFL_FAC_2_3 UTINYINT,
ACRE_INFL_FAC_2_4 UTINYINT,
ACRE_INFL_FAC_2_5 UTINYINT,
ACRE_INFL_FAC_2_6 UTINYINT,
ACRE_INFL_PCT_1 SMALLINT,
ACRE_INFL_PCT_2 SMALLINT,
ACRE_INFL_PCT_3 SMALLINT,
ACRE_INFL_PCT_4 SMALLINT,
ACRE_INFL_PCT_5 SMALLINT,
ACRE_INFL_PCT_6 SMALLINT,
ACRE_LAND_VALUE_1 DOUBLE,
ACRE_LAND_VALUE_2 DOUBLE,
ACRE_LAND_VALUE_3 DOUBLE,
ACRE_LAND_VALUE_4 DOUBLE,
ACRE_LAND_VALUE_5 DOUBLE,
ACRE_LAND_VALUE_6 DOUBLE,
GROSS_TYPE UTINYINT,
GROSS_VALUE DOUBLE,
GROSS_SIZE_TYPE UTINYINT,
GROSS_SIZE DOUBLE,
TOPOGRAPHY_1 UTINYINT,
TOPOGRAPHY_2 UTINYINT,
UTILITIES_1 UTINYINT,
UTILITIES_2 UTINYINT,
UTILITIES_3 UTINYINT,
STREET_ROAD_1 UTINYINT,
STREET_ROAD_2 UTINYINT,
STREET_ROAD_3 UTINYINT,
STREET_ROAD_4 UTINYINT,
SETBACK UTINYINT,
FRONT_TRAFFIC UTINYINT,
SOUND_VALUE_FLAG UTINYINT,
SERIES_CARD SMALLINT,
LOT_TYPE_1 UTINYINT,
LOT_TYPE_2 UTINYINT,
LOT_TYPE_3 UTINYINT,
LOT_TYPE_4 UTINYINT,
ACTUAL_FRONTAGE_1 REAL,
ACTUAL_FRONTAGE_2 REAL,
ACTUAL_FRONTAGE_3 REAL,
ACTUAL_FRONTAGE_4 REAL,
EFFECTIVE_FRONTAGE_1 SMALLINT,
EFFECTIVE_FRONTAGE_2 SMALLINT,
EFFECTIVE_FRONTAGE_3 SMALLINT,
EFFECTIVE_FRONTAGE_4 SMALLINT,
EFFECTIVE_DEPTH_1 SMALLINT,
EFFECTIVE_DEPTH_2 SMALLINT,
EFFECTIVE_DEPTH_3 SMALLINT,
EFFECTIVE_DEPTH_4 SMALLINT,
LOT_UNIT_PRICE_1 REAL,
LOT_UNIT_PRICE_2 REAL,
LOT_UNIT_PRICE_3 REAL,
LOT_UNIT_PRICE_4 REAL,
LOT_INFL_FAC_1_1 UTINYINT,
LOT_INFL_FAC_1_2 UTINYINT,
LOT_INFL_FAC_1_3 UTINYINT,
LOT_INFL_FAC_1_4 UTINYINT,
LOT_INFL_FAC_2_1 UTINYINT,
LOT_INFL_FAC_2_2 UTINYINT,
LOT_INFL_FAC_2_3 UTINYINT,
LOT_INFL_FAC_2_4 UTINYINT,
LOT_INFL_PCT_1 SMALLINT,
LOT_INFL_PCT_2 SMALLINT,
LOT_INFL_PCT_3 SMALLINT,
LOT_INFL_PCT_4 SMALLINT,
LOT_VALUE_1 DOUBLE,
LOT_VALUE_2 DOUBLE,
LOT_VALUE_3 DOUBLE,
LOT_VALUE_4 DOUBLE,
LOT_GRADE_1 UTINYINT,
LOT_GRADE_2 UTINYINT,
LOT_GRADE_3 UTINYINT,
LOT_GRADE_4 UTINYINT,
CURRENT_USE_LOT_1 DOUBLE,
CURRENT_USE_LOT_2 DOUBLE,
CURRENT_USE_LOT_3 DOUBLE,
CURRENT_USE_LOT_4 DOUBLE,
CURRENT_USE_SQFT_1 DOUBLE,
CURRENT_USE_SQFT_2 DOUBLE,
CURRENT_USE_SQFT_3 DOUBLE,
CURRENT_USE_ACRE_1 DOUBLE,
CURRENT_USE_ACRE_2 DOUBLE,
CURRENT_USE_ACRE_3 DOUBLE,
CURRENT_USE_ACRE_4 DOUBLE,
CURRENT_USE_ACRE_5 DOUBLE,
CURRENT_USE_ACRE_6 DOUBLE,
FRONTING UTINYINT,
LOCATION UTINYINT,
PPN_2 INTEGER,
ACRE_GRADE_7 UTINYINT,
ACRE_GRADE_8 UTINYINT,
ACRE_GRADE_9 UTINYINT,
ACRE_GRADE_10 UTINYINT,
ACRE_GRADE_11 UTINYINT,
ACRE_GRADE_12 UTINYINT,
ACRE_GRADE_13 UTINYINT,
ACRE_GRADE_14 UTINYINT,
ACRE_GRADE_15 UTINYINT,
ACRE_GRADE_16 UTINYINT,
ACRE_GRADE_17 UTINYINT,
ACRE_GRADE_18 UTINYINT,
ACRE_GRADE_19 UTINYINT,
ACRE_TYPE_7 UTINYINT,
ACRE_TYPE_8 UTINYINT,
ACRE_TYPE_9 UTINYINT,
ACRE_TYPE_10 UTINYINT,
ACRE_TYPE_11 UTINYINT,
ACRE_TYPE_12 UTINYINT,
ACRE_TYPE_13 UTINYINT,
ACRE_TYPE_14 UTINYINT,
ACRE_TYPE_15 UTINYINT,
ACRE_TYPE_16 UTINYINT,
ACRE_TYPE_17 UTINYINT,
ACRE_TYPE_18 UTINYINT,
ACRE_TYPE_19 UTINYINT,
ACRES_7 REAL,
ACRES_8 REAL,
ACRES_9 REAL,
ACRES_10 REAL,
ACRES_11 REAL,
ACRES_12 REAL,
ACRES_13 REAL,
ACRES_14 REAL,
ACRES_15 REAL,
ACRES_16 REAL,
ACRES_17 REAL,
ACRES_18 REAL,
ACRES_19 REAL,
ACRE_UNIT_PRICE_7 REAL,
ACRE_UNIT_PRICE_8 REAL,
ACRE_UNIT_PRICE_9 REAL,
ACRE_UNIT_PRICE_10 REAL,
ACRE_UNIT_PRICE_11 REAL,
ACRE_UNIT_PRICE_12 REAL,
ACRE_UNIT_PRICE_13 REAL,
ACRE_UNIT_PRICE_14 REAL,
ACRE_UNIT_PRICE_15 REAL,
ACRE_UNIT_PRICE_16 REAL,
ACRE_UNIT_PRICE_17 REAL,
ACRE_UNIT_PRICE_18 REAL,
ACRE_UNIT_PRICE_19 REAL,
ACRE_INFL_FAC_1_7 UTINYINT,
ACRE_INFL_FAC_1_8 UTINYINT,
ACRE_INFL_FAC_1_9 UTINYINT,
ACRE_INFL_FAC_1_10 UTINYINT,
ACRE_INFL_FAC_1_11 UTINYINT,
ACRE_INFL_FAC_1_12 UTINYINT,
ACRE_INFL_FAC_1_13 UTINYINT,
ACRE_INFL_FAC_1_14 UTINYINT,
ACRE_INFL_FAC_1_15 UTINYINT,
ACRE_INFL_FAC_1_16 UTINYINT,
ACRE_INFL_FAC_1_17 UTINYINT,
ACRE_INFL_FAC_1_18 UTINYINT,
ACRE_INFL_FAC_1_19 UTINYINT,
ACRE_INFL_FAC_2_7 UTINYINT,
ACRE_INFL_FAC_2_8 UTINYINT,
ACRE_INFL_FAC_2_9 UTINYINT,
ACRE_INFL_FAC_2_10 UTINYINT,
ACRE_INFL_FAC_2_11 UTINYINT,
ACRE_INFL_FAC_2_12 UTINYINT,
ACRE_INFL_FAC_2_13 UTINYINT,
ACRE_INFL_FAC_2_14 UTINYINT,
ACRE_INFL_FAC_2_15 UTINYINT,
ACRE_INFL_FAC_2_16 UTINYINT,
ACRE_INFL_FAC_2_17 UTINYINT,
ACRE_INFL_FAC_2_18 UTINYINT,
ACRE_INFL_FAC_2_19 UTINYINT,
ACRE_INFL_PCT_7 SMALLINT,
ACRE_INFL_PCT_8 SMALLINT,
ACRE_INFL_PCT_9 SMALLINT,
ACRE_INFL_PCT_10 SMALLINT,
ACRE_INFL_PCT_11 SMALLINT,
ACRE_INFL_PCT_12 SMALLINT,
ACRE_INFL_PCT_13 SMALLINT,
ACRE_INFL_PCT_14 SMALLINT,
ACRE_INFL_PCT_15 SMALLINT,
ACRE_INFL_PCT_16 SMALLINT,
ACRE_INFL_PCT_17 SMALLINT,
ACRE_INFL_PCT_18 SMALLINT,
ACRE_INFL_PCT_19 SMALLINT,
ACRE_LAND_VALUE_7 DOUBLE,
ACRE_LAND_VALUE_8 DOUBLE,
ACRE_LAND_VALUE_9 DOUBLE,
ACRE_LAND_VALUE_10 DOUBLE,
ACRE_LAND_VALUE_11 DOUBLE,
ACRE_LAND_VALUE_12 DOUBLE,
ACRE_LAND_VALUE_13 DOUBLE,
ACRE_LAND_VALUE_14 DOUBLE,
ACRE_LAND_VALUE_15 DOUBLE,
ACRE_LAND_VALUE_16 DOUBLE,
ACRE_LAND_VALUE_17 DOUBLE,
ACRE_LAND_VALUE_18 DOUBLE,
ACRE_LAND_VALUE_19 DOUBLE,
SEQUENCE_NO SMALLINT)#
CREATE UNIQUE NOT MODIFIABLE INDEX iSET_PPN_NBR_TYP2 in dictionary ON LAND(SET_PPN_NBR_TYP2)#
CREATE INDEX iPPN_2 in dictionary ON LAND(PPN_2)#
CREATE INDEX iSERIES_CARD in dictionary ON LAND(SERIES_CARD)#
