-- SALE table creation script (standard version)
--
-- 173 items, 1832 data bytes, 0 reserved bytes
--
-- 020919 SJM Initial version.
--
-- 021118 SJM Removed the iSET_PPN_NBR_TYP7 index so the Microsoft Access PRC
--            will work in linked mode.
--
-- 070913 SJM Put all indexes back in for use with PSQL v9.52
--
set truenullcreate=off#
CREATE TABLE SALE in dictionary using 'U020NB07.MKD'
(SET_PPN_NBR_TYP7 BINARY(6),
SALE_DATE_1 DOUBLE,
SALE_DATE_2 DOUBLE,
SALE_DATE_3 DOUBLE,
SALE_DATE_4 DOUBLE,
SALE_DATE_5 DOUBLE,
SALE_DATE_6 DOUBLE,
SALE_DATE_7 DOUBLE,
SALE_DATE_8 DOUBLE,
SALE_DATE_9 DOUBLE,
SALE_DATE_10 DOUBLE,
SALE_TYPE_1 UTINYINT,
SALE_TYPE_2 UTINYINT,
SALE_TYPE_3 UTINYINT,
SALE_TYPE_4 UTINYINT,
SALE_TYPE_5 UTINYINT,
SALE_TYPE_6 UTINYINT,
SALE_TYPE_7 UTINYINT,
SALE_TYPE_8 UTINYINT,
SALE_TYPE_9 UTINYINT,
SALE_TYPE_10 UTINYINT,
SALE_PRICE_1 DOUBLE,
SALE_PRICE_2 DOUBLE,
SALE_PRICE_3 DOUBLE,
SALE_PRICE_4 DOUBLE,
SALE_PRICE_5 DOUBLE,
SALE_PRICE_6 DOUBLE,
SALE_PRICE_7 DOUBLE,
SALE_PRICE_8 DOUBLE,
SALE_PRICE_9 DOUBLE,
SALE_PRICE_10 DOUBLE,
SALE_SOURCE_1 UTINYINT,
SALE_SOURCE_2 UTINYINT,
SALE_SOURCE_3 UTINYINT,
SALE_SOURCE_4 UTINYINT,
SALE_SOURCE_5 UTINYINT,
SALE_SOURCE_6 UTINYINT,
SALE_SOURCE_7 UTINYINT,
SALE_SOURCE_8 UTINYINT,
SALE_SOURCE_9 UTINYINT,
SALE_SOURCE_10 UTINYINT,
VALIDITY_1 CHAR(2),
VALIDITY_2 CHAR(2),
VALIDITY_3 CHAR(2),
VALIDITY_4 CHAR(2),
VALIDITY_5 CHAR(2),
VALIDITY_6 CHAR(2),
VALIDITY_7 CHAR(2),
VALIDITY_8 CHAR(2),
VALIDITY_9 CHAR(2),
VALIDITY_10 CHAR(2),
SF_DEED_BOOK_PAGE_1 CHAR(17),
SF_DEED_BOOK_PAGE_2 CHAR(17),
SF_DEED_BOOK_PAGE_3 CHAR(17),
SF_DEED_BOOK_PAGE_4 CHAR(17),
SF_DEED_BOOK_PAGE_5 CHAR(17),
SF_DEED_BOOK_PAGE_6 CHAR(17),
SF_DEED_BOOK_PAGE_7 CHAR(17),
SF_DEED_BOOK_PAGE_8 CHAR(17),
SF_DEED_BOOK_PAGE_9 CHAR(17),
SF_DEED_BOOK_PAGE_10 CHAR(17),
PERMIT_DATE_1 DOUBLE,
PERMIT_DATE_2 DOUBLE,
PERMIT_DATE_3 DOUBLE,
PERMIT_DATE_4 DOUBLE,
PERMIT_DATE_5 DOUBLE,
PERMIT_DATE_6 DOUBLE,
PERMIT_DATE_7 DOUBLE,
PERMIT_DATE_8 DOUBLE,
PERMIT_DATE_9 DOUBLE,
PERMIT_DATE_10 DOUBLE,
PERMIT_NUMBER_1 CHAR(7),
PERMIT_NUMBER_2 CHAR(7),
PERMIT_NUMBER_3 CHAR(7),
PERMIT_NUMBER_4 CHAR(7),
PERMIT_NUMBER_5 CHAR(7),
PERMIT_NUMBER_6 CHAR(7),
PERMIT_NUMBER_7 CHAR(7),
PERMIT_NUMBER_8 CHAR(7),
PERMIT_NUMBER_9 CHAR(7),
PERMIT_NUMBER_10 CHAR(7),
PERMIT_PRICE_1 DOUBLE,
PERMIT_PRICE_2 DOUBLE,
PERMIT_PRICE_3 DOUBLE,
PERMIT_PRICE_4 DOUBLE,
PERMIT_PRICE_5 DOUBLE,
PERMIT_PRICE_6 DOUBLE,
PERMIT_PRICE_7 DOUBLE,
PERMIT_PRICE_8 DOUBLE,
PERMIT_PRICE_9 DOUBLE,
PERMIT_PRICE_10 DOUBLE,
PERMIT_PURPOSE_1 CHAR(15),
PERMIT_PURPOSE_2 CHAR(15),
PERMIT_PURPOSE_3 CHAR(15),
PERMIT_PURPOSE_4 CHAR(15),
PERMIT_PURPOSE_5 CHAR(15),
PERMIT_PURPOSE_6 CHAR(15),
PERMIT_PURPOSE_7 CHAR(15),
PERMIT_PURPOSE_8 CHAR(15),
PERMIT_PURPOSE_9 CHAR(15),
PERMIT_PURPOSE_10 CHAR(15),
OWNER_NAME_1_1 CHAR(40),
OWNER_NAME_1_2 CHAR(40),
OWNER_NAME_1_3 CHAR(40),
OWNER_NAME_1_4 CHAR(40),
OWNER_NAME_1_5 CHAR(40),
OWNER_NAME_1_6 CHAR(40),
OWNER_NAME_1_7 CHAR(40),
OWNER_NAME_1_8 CHAR(40),
OWNER_NAME_1_9 CHAR(40),
OWNER_NAME_1_10 CHAR(40),
OWNER_NAME_2_1 CHAR(25),
OWNER_NAME_2_2 CHAR(25),
OWNER_NAME_2_3 CHAR(25),
OWNER_NAME_2_4 CHAR(25),
OWNER_NAME_2_5 CHAR(25),
OWNER_NAME_2_6 CHAR(25),
OWNER_NAME_2_7 CHAR(25),
OWNER_NAME_2_8 CHAR(25),
OWNER_NAME_2_9 CHAR(25),
OWNER_NAME_2_10 CHAR(25),
ASSESSMENT_1 DOUBLE,
ASSESSMENT_2 DOUBLE,
ASSESSMENT_3 DOUBLE,
ASSESSMENT_4 DOUBLE,
ASSESSMENT_5 DOUBLE,
ASSESSMENT_6 DOUBLE,
ASSESSMENT_7 DOUBLE,
ASSESSMENT_8 DOUBLE,
ASSESSMENT_9 DOUBLE,
ASSESSMENT_10 DOUBLE,
PERCENT_COMPLETE_1 UTINYINT,
PERCENT_COMPLETE_2 UTINYINT,
PERCENT_COMPLETE_3 UTINYINT,
PERCENT_COMPLETE_4 UTINYINT,
PERCENT_COMPLETE_5 UTINYINT,
PERCENT_COMPLETE_6 UTINYINT,
PERCENT_COMPLETE_7 UTINYINT,
PERCENT_COMPLETE_8 UTINYINT,
PERCENT_COMPLETE_9 UTINYINT,
PERCENT_COMPLETE_10 UTINYINT,
DEED_DATE_1 DOUBLE,
DEED_DATE_2 DOUBLE,
DEED_DATE_3 DOUBLE,
DEED_DATE_4 DOUBLE,
DEED_DATE_5 DOUBLE,
DEED_DATE_6 DOUBLE,
DEED_DATE_7 DOUBLE,
DEED_DATE_8 DOUBLE,
DEED_DATE_9 DOUBLE,
DEED_DATE_10 DOUBLE,
OH_DEED_BOOK_PAGE_1 CHAR(17),
OH_DEED_BOOK_PAGE_2 CHAR(17),
OH_DEED_BOOK_PAGE_3 CHAR(17),
OH_DEED_BOOK_PAGE_4 CHAR(17),
OH_DEED_BOOK_PAGE_5 CHAR(17),
OH_DEED_BOOK_PAGE_6 CHAR(17),
OH_DEED_BOOK_PAGE_7 CHAR(17),
OH_DEED_BOOK_PAGE_8 CHAR(17),
OH_DEED_BOOK_PAGE_9 CHAR(17),
OH_DEED_BOOK_PAGE_10 CHAR(17),
OCCUPANCY_DATE_1 DOUBLE,
OCCUPANCY_DATE_2 DOUBLE,
OCCUPANCY_DATE_3 DOUBLE,
OCCUPANCY_DATE_4 DOUBLE,
OCCUPANCY_DATE_5 DOUBLE,
OCCUPANCY_DATE_6 DOUBLE,
OCCUPANCY_DATE_7 DOUBLE,
OCCUPANCY_DATE_8 DOUBLE,
OCCUPANCY_DATE_9 DOUBLE,
OCCUPANCY_DATE_10 DOUBLE,
PPN_2 INTEGER,
SERIES_CARD SMALLINT)#
CREATE UNIQUE NOT MODIFIABLE INDEX iSET_PPN_NBR_TYP7 in dictionary ON SALE(SET_PPN_NBR_TYP7)#
CREATE INDEX iPPN_2 in dictionary ON SALE(PPN_2)#
CREATE INDEX iSERIES_CARD in dictionary ON SALE(SERIES_CARD)#
