-- ROBY table creation script (standard version)
--
-- 114 items, 339 data bytes, 0 reserved bytes
--
-- 020919 SJM Initial version.
--
-- 021118 SJM Removed the iSET_PPN_NBR_TYP4 index so the Microsoft Access PRC
--            will work in linked mode.
--
set truenullcreate=off#
CREATE TABLE ROBY in dictionary using 'U020NB04.MKD'
(SET_PPN_NBR_TYP4 BINARY(6),
TYPE_1 CHAR(3),
TYPE_2 CHAR(3),
TYPE_3 CHAR(3),
TYPE_4 CHAR(3),
TYPE_5 CHAR(3),
TYPE_6 CHAR(3),
TYPE_7 CHAR(3),
QUANTITY_1 SMALLINT,
QUANTITY_2 SMALLINT,
QUANTITY_3 SMALLINT,
QUANTITY_4 SMALLINT,
QUANTITY_5 SMALLINT,
QUANTITY_6 SMALLINT,
QUANTITY_7 SMALLINT,
YEAR_BUILT_1 SMALLINT,
YEAR_BUILT_2 SMALLINT,
YEAR_BUILT_3 SMALLINT,
YEAR_BUILT_4 SMALLINT,
YEAR_BUILT_5 SMALLINT,
YEAR_BUILT_6 SMALLINT,
YEAR_BUILT_7 SMALLINT,
SIZE_1_1 UTINYINT,
SIZE_1_2 UTINYINT,
SIZE_1_3 UTINYINT,
SIZE_1_4 UTINYINT,
SIZE_1_5 UTINYINT,
SIZE_1_6 UTINYINT,
SIZE_1_7 UTINYINT,
SIZE_2_1 REAL,
SIZE_2_2 REAL,
SIZE_2_3 REAL,
SIZE_2_4 REAL,
SIZE_2_5 REAL,
SIZE_2_6 REAL,
SIZE_2_7 REAL,
GRADE_1 CHAR(1),
GRADE_2 CHAR(1),
GRADE_3 CHAR(1),
GRADE_4 CHAR(1),
GRADE_5 CHAR(1),
GRADE_6 CHAR(1),
GRADE_7 CHAR(1),
CONDITION_1 CHAR(1),
CONDITION_2 CHAR(1),
CONDITION_3 CHAR(1),
CONDITION_4 CHAR(1),
CONDITION_5 CHAR(1),
CONDITION_6 CHAR(1),
CONDITION_7 CHAR(1),
MARKET_ADJUSTMENT_1 UTINYINT,
MARKET_ADJUSTMENT_2 UTINYINT,
MARKET_ADJUSTMENT_3 UTINYINT,
MARKET_ADJUSTMENT_4 UTINYINT,
MARKET_ADJUSTMENT_5 UTINYINT,
MARKET_ADJUSTMENT_6 UTINYINT,
MARKET_ADJUSTMENT_7 UTINYINT,
MOD_CODE_1_1 UTINYINT,
MOD_CODE_1_2 UTINYINT,
MOD_CODE_1_3 UTINYINT,
MOD_CODE_1_4 UTINYINT,
MOD_CODE_1_5 UTINYINT,
MOD_CODE_1_6 UTINYINT,
MOD_CODE_1_7 UTINYINT,
MOD_CODE_2_1 UTINYINT,
MOD_CODE_2_2 UTINYINT,
MOD_CODE_2_3 UTINYINT,
MOD_CODE_2_4 UTINYINT,
MOD_CODE_2_5 UTINYINT,
MOD_CODE_2_6 UTINYINT,
MOD_CODE_2_7 UTINYINT,
MOD_CODE_3_1 UTINYINT,
MOD_CODE_3_2 UTINYINT,
MOD_CODE_3_3 UTINYINT,
MOD_CODE_3_4 UTINYINT,
MOD_CODE_3_5 UTINYINT,
MOD_CODE_3_6 UTINYINT,
MOD_CODE_3_7 UTINYINT,
MOD_CODE_4_1 UTINYINT,
MOD_CODE_4_2 UTINYINT,
MOD_CODE_4_3 UTINYINT,
MOD_CODE_4_4 UTINYINT,
MOD_CODE_4_5 UTINYINT,
MOD_CODE_4_6 UTINYINT,
MOD_CODE_4_7 UTINYINT,
VALUE_1 DOUBLE,
VALUE_2 DOUBLE,
VALUE_3 DOUBLE,
VALUE_4 DOUBLE,
VALUE_5 DOUBLE,
VALUE_6 DOUBLE,
VALUE_7 DOUBLE,
MISC_VALUE DOUBLE,
GROSS_BLDG_TYPE UTINYINT,
GROSS_BLDG_DESCRIP CHAR(25),
GROSS_BLDG_VALUE DOUBLE,
TOTAL_VALUE DOUBLE,
DET_GARAGE_TOTAL REAL,
PERCENT_GOOD_1 REAL,
PERCENT_GOOD_2 REAL,
PERCENT_GOOD_3 REAL,
PERCENT_GOOD_4 REAL,
PERCENT_GOOD_5 REAL,
PERCENT_GOOD_6 REAL,
PERCENT_GOOD_7 REAL,
RCN_1 DOUBLE,
RCN_2 DOUBLE,
RCN_3 DOUBLE,
RCN_4 DOUBLE,
RCN_5 DOUBLE,
RCN_6 DOUBLE,
RCN_7 DOUBLE,
PPN_2 INTEGER,
SERIES_CARD SMALLINT)#
-- CREATE UNIQUE NOT MODIFIABLE INDEX iSET_PPN_NBR_TYP4 in dictionary ON ROBY(SET_PPN_NBR_TYP4)#
CREATE INDEX iPPN_2 in dictionary ON ROBY(PPN_2)#
CREATE INDEX iSERIES_CARD in dictionary ON ROBY(SERIES_CARD)#
