-- VALU table creation script (New Jersey version)
--
-- 112 items, 883 data bytes, 0 reserved bytes
--
-- 021115 SJM Initial version.
--
-- 021118 SJM Removed the iSET_PPN_NBR_TYP9 index so the Microsoft Access PRC
--            will work in linked mode.
--
set truenullcreate=off#
CREATE TABLE VALU in dictionary using 'U020NB09.MKD'
(SET_PPN_NBR_TYP9 BINARY(6),
PID_1 CHAR(31),
PID_2 CHAR(31),
PID_3 CHAR(31),
PID_4 CHAR(31),
PID_5 CHAR(31),
LOCATION_1 CHAR(40),
LOCATION_2 CHAR(40),
LOCATION_3 CHAR(40),
LOCATION_4 CHAR(40),
LOCATION_5 CHAR(40),
SALE_DATE_1 DOUBLE,
SALE_DATE_2 DOUBLE,
SALE_DATE_3 DOUBLE,
SALE_DATE_4 DOUBLE,
SALE_DATE_5 DOUBLE,
SALE_PRICE_1 DOUBLE,
SALE_PRICE_2 DOUBLE,
SALE_PRICE_3 DOUBLE,
SALE_PRICE_4 DOUBLE,
SALE_PRICE_5 DOUBLE,
SFLA_1 REAL,
SFLA_2 REAL,
SFLA_3 REAL,
SFLA_4 REAL,
SFLA_5 REAL,
STYLE_1 UTINYINT,
STYLE_2 UTINYINT,
STYLE_3 UTINYINT,
STYLE_4 UTINYINT,
STYLE_5 UTINYINT,
GRADE_1 CHAR(2),
GRADE_2 CHAR(2),
GRADE_3 CHAR(2),
GRADE_4 CHAR(2),
GRADE_5 CHAR(2),
YEAR_BUILT_1 SMALLINT,
YEAR_BUILT_2 SMALLINT,
YEAR_BUILT_3 SMALLINT,
YEAR_BUILT_4 SMALLINT,
YEAR_BUILT_5 SMALLINT,
BEDROOMS_1 UTINYINT,
BEDROOMS_2 UTINYINT,
BEDROOMS_3 UTINYINT,
BEDROOMS_4 UTINYINT,
BEDROOMS_5 UTINYINT,
FULL_BATHS_1 UTINYINT,
FULL_BATHS_2 UTINYINT,
FULL_BATHS_3 UTINYINT,
FULL_BATHS_4 UTINYINT,
FULL_BATHS_5 UTINYINT,
ACRES_1 REAL,
ACRES_2 REAL,
ACRES_3 REAL,
ACRES_4 REAL,
ACRES_5 REAL,
MODEL_GROUP_DESC_1 CHAR(30),
MODEL_GROUP_DESC_2 CHAR(30),
MODEL_GROUP_DESC_3 CHAR(30),
MODEL_GROUP_DESC_4 CHAR(30),
MODEL_GROUP_DESC_5 CHAR(30),
MODEL_GROUP_DESC_6 CHAR(30),
GROSS_LEASABLE_SF_1 REAL,
GROSS_LEASABLE_SF_2 REAL,
GROSS_LEASABLE_SF_3 REAL,
GROSS_LEASABLE_SF_4 REAL,
GROSS_LEASABLE_SF_5 REAL,
GROSS_LEASABLE_SF_6 REAL,
NET_RENT_1 REAL,
NET_RENT_2 REAL,
NET_RENT_3 REAL,
NET_RENT_4 REAL,
NET_RENT_5 REAL,
NET_RENT_6 REAL,
VACANCY_1 UTINYINT,
VACANCY_2 UTINYINT,
VACANCY_3 UTINYINT,
VACANCY_4 UTINYINT,
VACANCY_5 UTINYINT,
VACANCY_6 UTINYINT,
TOTAL_EXPENSES_1 REAL,
TOTAL_EXPENSES_2 REAL,
TOTAL_EXPENSES_3 REAL,
TOTAL_EXPENSES_4 REAL,
TOTAL_EXPENSES_5 REAL,
TOTAL_EXPENSES_6 REAL,
NET_OPERATING_INC_1 REAL,
NET_OPERATING_INC_2 REAL,
NET_OPERATING_INC_3 REAL,
NET_OPERATING_INC_4 REAL,
NET_OPERATING_INC_5 REAL,
NET_OPERATING_INC_6 REAL,
TOTAL_UNITS SMALLINT,
TOTAL_EFFIC_APTS SMALLINT,
TOTAL_1_BEDROOM SMALLINT,
TOTAL_2_BEDROOM SMALLINT,
TOTAL_3_BEDROOM SMALLINT,
POTENTIAL_GROSS_INC DOUBLE,
TOTAL_EXPENSES DOUBLE,
TOTAL_RENTABLE_SF DOUBLE,
NET_OPERATING_INCOME DOUBLE,
EFFECTIVE_GROSS_INC DOUBLE,
CAP_RATE DOUBLE,
GROSS_RENT_MULT DOUBLE,
HALF_BATHS_1 UTINYINT,
HALF_BATHS_2 UTINYINT,
HALF_BATHS_3 UTINYINT,
HALF_BATHS_4 UTINYINT,
HALF_BATHS_5 UTINYINT,
RESIDUAL_LAND DOUBLE,
PPN_2 INTEGER,
SERIES_CARD SMALLINT)#
-- CREATE UNIQUE NOT MODIFIABLE INDEX iSET_PPN_NBR_TYP9 in dictionary ON VALU(SET_PPN_NBR_TYP9)#
CREATE INDEX iPPN_2 in dictionary ON VALU(PPN_2)#
CREATE INDEX iSERIES_CARD in dictionary ON VALU(SERIES_CARD)#
